PETSc version 3.15.5
Fix/Edit manual page

# DMCreateMassMatrix

Gets mass matrix between two DM objects, M_ij = \int \phi_i \psi_j

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateMassMatrix(DM dac, DM daf, Mat *mat)

Collective on dac

### Input Parameter

| dac | - the DM object
| daf | - the second, finer DM object

### Output Parameter

| mat | - the interpolation

### See Also

DMCreateMatrix(), DMRefine(), DMCoarsen(), DMCreateRestriction(), DMCreateInterpolation(), DMCreateInjection()

### Level

developer

### Location

src/dm/interface/dm.c

### Implementations

DMCreateMassMatrix_Plex in src/dm/impls/plex/plex.c
DMCreateMassMatrix_Swarm in src/dm/impls/swarm/swarm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages